Check-in [73113a9013]
Overview
Comment:Added script to build all packages Updated ignores Updated Makefile to clean excess tarfiles
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:73113a9013f9be1211756a5c21e8a6f09890ad39
User & Date: rkeene on 2010-02-05 00:58:37
Other Links: manifest | tags
Context
2010-02-05
01:34
Updated clean target to call build clean script Added finding TCLCONFIGDIR support Added build support for TLS on Solaris check-in: 0b028fd897 user: rkeene tags: trunk
00:58
Added script to build all packages Updated ignores Updated Makefile to clean excess tarfiles check-in: 73113a9013 user: rkeene tags: trunk
00:30
Added build script for TLS check-in: f19aa5ddf2 user: rkeene tags: trunk
Changes

Modified .fossil-settings/ignore-glob from [0365b0d12d] to [5feb604148].

     1      1   client/teapot-client.kit
     2      2   client/teapot-client.kit/*
            3  +server/work/tclpkgs-*.tar.*
            4  +server/work/tclpkgs-*.tar.*/*
     3      5   server/work/tls/build
            6  +server/work/tls/build.log
            7  +server/work/tls/build.log/*
     4      8   server/work/tls/build/*
     5      9   server/work/tls/out
     6     10   server/work/tls/out/*
     7     11   server/work/tls/src
     8     12   server/work/tls/src/*

Added server/work/Makefile version [71fa914848].

            1  +all: tclpkgs-src-current.tar.gz
            2  +
            3  +tclpkgs-src-current.tar.gz: tclpkgs-src-current
            4  +	tar -zcf tclpkgs-src-current.tar.gz tclpkgs-src-current
            5  +	rm -rf tclpkgs-src-current
            6  +
            7  +tclpkgs-src-current: platform build_all.sh */build.sh
            8  +	rm -rf tclpkgs-src-current
            9  +	mkdir tclpkgs-src-current
           10  +	cp -rp platform build_all.sh tclpkgs-src-current/
           11  +	for dir in */; do \
           12  +		if test ! -f "$$dir/build.sh"; then continue; fi; \
           13  +		mkdir "tclpkgs-src-current/$$dir"; \
           14  +		cp "$$dir/build.sh" "tclpkgs-src-current/$$dir"; \
           15  +	done
           16  +
           17  +clean:
           18  +	rm -f tclpkgs-*.tar.*
           19  +	rm -rf tclpkgs-src-current
           20  +
           21  +.PHONY: all clean

Added server/work/build_all.sh version [f1d1c68280].

            1  +#! /bin/bash
            2  +
            3  +if [ ! -x "./platform" ]; then
            4  +	echo 'ERROR: Platform script not found: ./platform' >&2
            5  +
            6  +	exit 1
            7  +fi
            8  +
            9  +CLEANONLY=0
           10  +DISTCLEAN=0
           11  +if [ "$1" = "clean" ]; then
           12  +	CLEANONLY=1
           13  +fi
           14  +if [ "$1" = "distclean" ]; then
           15  +	CLEANONLY=1
           16  +	DISTCLEAN=1
           17  +fi
           18  +export CLEANONLY DISTCLEAN
           19  +
           20  +# Build all appropriate directories
           21  +faileddirs=""
           22  +for dir in */; do
           23  +	export dir
           24  +
           25  +	if [ ! -f "${dir}/build.sh" ]; then
           26  +		continue
           27  +	fi
           28  +
           29  +	failed=0
           30  +	(
           31  +		cd "${dir}" || exit 1
           32  +
           33  +		rm -f "build.log"
           34  +		rm -rf "build" "out"
           35  +		if [ "${DISTCLEAN}" = "1" ]; then
           36  +			rm -rf "src"
           37  +		fi
           38  +		if [ "${CLEANONLY}" = "1" ]; then
           39  +			exit 0
           40  +		fi
           41  +
           42  +		./build.sh 2>&1 | tee "build.log" || exit 1
           43  +	) || failed=1
           44  +
           45  +	if [ "${failed}" = "1" ]; then
           46  +		rm -rf "${dir}/out"
           47  +		faileddirs="${faileddirs} ${dir}"
           48  +	fi
           49  +done
           50  +
           51  +# Let the user know what failed to build
           52  +if [ -n "${faileddirs}" ]; then
           53  +	echo "The following failed to build:${failddirs}"
           54  +fi
           55  +
           56  +# Create tarfile of built packages
           57  +PLATFORM="$(./platform)"
           58  +DATECODE="$(date +%Y%m%d%H%M)"
           59  +OUTFILEBASE="tclpkgs-${PLATFORM}-${DATECODE}"
           60  +tar -cf - */out */build.log | bzip2 -9c > "${OUTFILEBASE}.tar.bz2"
           61  +
           62  +exit 0